import React from "react";
import PropTypes from "prop-types";
import { Typography } from "@mui/material";
import { makeStyles } from "@mui/material/styles";

const useStyles = makeStyles(theme => ({
  paper: {
    margin: theme.spacing(1)
  }
}));

const PaperTitle = ({ text }) => {
  const classes = useStyles();
  return (
    <div className={classes.paper}>
      <Typography variant="h5" gutterBottom>
        {text}
      </Typography>
    </div>
  );
};

PaperTitle.propTypes = {
  text: PropTypes.string.isRequired
};

export default PaperTitle;
